<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@mipmap/bg"
    android:orientation="vertical">

    <FrameLayout
        android:id="@+id/id_fl_dh"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/id_zhuan"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:src="@mipmap/xingzuoyuan" />

        <androidx.appcompat.widget.AppCompatImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:src="@mipmap/xing" />
    </FrameLayout>

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="27dp"
        android:text="Please wait..."
        android:textColor="@color/white"
        android:textSize="15sp"
        android:textStyle="bold"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/id_fl_dh" />

    <FrameLayout
        android:id="@+id/id_fl_native"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/bg_ffffff_10"
        app:layout_constraintBottom_toBottomOf="parent">

        <io.supercharge.shimmerlayout.ShimmerLayout
            android:id="@+id/shimmerLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="bottom|center_horizontal"
            android:layout_marginHorizontal="16dp"
            android:layout_marginVertical="10dp"
            app:shimmer_angle="25"
            app:shimmer_animation_duration="2000"
            app:shimmer_auto_start="true"
            app:shimmer_color="#33ffffff"
            app:shimmer_mask_width="0.2">

            <ImageView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@mipmap/adzhanweitu" />

        </io.supercharge.shimmerlayout.ShimmerLayout>

    </FrameLayout>
</androidx.constraintlayout.widget.ConstraintLayout>